push_config_state(3)

NAME
push_config_state

SYNOPSIS
#include <allegro.h>

void push_config_state();

DESCRIPTION
Pushes the current configuration state (filename, variable values, etc). onto an internal stack, allowing you to select some other config source and later restore the current settings by calling pop_config_state(). This function is mostly intended for internal use by other library functions, for example when you specify a config filename to the save_joystick_data() function, it pushes the config state before switching to the file you specified.

SEE ALSO
pop_config_state(3), set_config_file(3), exconfig(3)